# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Class JXG.Image

↳ JXG.Image

Image: It inherits from @see GeometryElement.
Defined in: Image.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Image(board, url, coords, size, attributes) Construct and handle images

Method Summary
Method Attributes | Method Name and Description
--- | ---
| hasPoint(x, y) Checks whether (x,y) is over or near the image;
| setPositionDirectly(method, x, y, x, y) Sets x and y coordinate of the image.
<private> | update() Recalculate the coordinates of lower left corner and the width amd the height.
| updateRenderer() Send an update request to the renderer.

Class Detail
JXG.Image(board, url, coords, size, attributes)
Construct and handle images

Parameters:
board
url
coords
size
attributes

Method Detail
hasPoint(x, y)
Checks whether (x,y) is over or near the image;

Parameters:
{int} x
  Coordinate in x direction, screen coordinates.
{int} y
  Coordinate in y direction, screen coordinates.

Returns:
  Always returns false

setPositionDirectly(method, x, y, x, y)
Sets x and y coordinate of the image.

Parameters:
{number} method
  The type of coordinates used here. Possible values are JXG.COORDS_BY_USER and JXG.COORDS_BY_SCREEN.
{number} x
  x coordinate in screen/user units
{number} y
  y coordinate in screen/user units
{number} x
  optional: previous x coordinate in screen/user units (ignored)
{number} y
  optional: previous y coordinate in screen/user units (ignored)

<private> update()
Recalculate the coordinates of lower left corner and the width amd the height.

updateRenderer()
Send an update request to the renderer.

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:07 GMT+0200 (MESZ)